<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ycwh.mapper.FamousLocationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="famousLocationResultMap" type="org.springblade.modules.ycwh.entity.FamousLocationEntity">
    </resultMap>


    <select id="selectFamousLocationPage" resultMap="famousLocationResultMap">
        select * from ycwh_famous_location where is_deleted = 0
    </select>


    <select id="exportFamousLocation" resultType="org.springblade.modules.ycwh.excel.FamousLocationExcel">
        SELECT * FROM ycwh_famous_location ${ew.customSqlSegment}
    </select>

</mapper>
